#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 17. Networking Libraries

- Prev

  neon-0.37.1

- Next

  rpcsvc-proto-1.4.4

- Up
- Home

# nghttp2-1.69.0

## Introduction to nghttp2

nghttp2 is an implementation of HTTP/2 and its header compression algorithm, HPACK.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/nghttp2/nghttp2/releases/download/v1.69.0/nghttp2-1.69.0.tar.xz

- Download MD5 sum: 7015bee1f5a24012b848a98bfe4864b1

- Download size: 1.7 MB

- Estimated disk space required: 27 MB

- Estimated build time: 0.1 SBU

### nghttp2 Dependencies

#### Recommended

libxml2-2.15.3

#### Optional

The following are only used if building the full package instead of only the main libraries: c-ares-1.34.6, jansson-2.15.0, libevent-2.1.12, sphinx-9.1.0, jemalloc, libev, mruby, and Spdylay.

## Installation of nghttp2

Install nghttp2 by running the following commands:

    ./configure --prefix=/usr     \
                --disable-static  \
                --enable-lib-only \
                --docdir=/usr/share/doc/nghttp2-1.69.0 &&
    make

To test the results, issue: make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-lib-only`: only build libnghttp2. Omit this switch if you'd like to build the example applications, Python bindings, or the C++ asio library.

## Contents

Installed Programs: None
Installed Libraries: libnghttp2.so
Installed Directories: /usr/include/nghttp2, /usr/share/nghttp2, and /usr/share/doc/nghttp2-1.69.0

### Short Descriptions

`libnghttp2.so` | an implementation of the Hypertext Transfer Protocol version 2 in C

- Prev

  neon-0.37.1

- Next

  rpcsvc-proto-1.4.4

- Up
- Home